=== modified file 'drizzled/log_event.cc'
--- drizzled/log_event.cc	2008-07-28 02:02:14 +0000
+++ drizzled/log_event.cc	2008-07-28 03:31:13 +0000
@@ -35,7 +35,7 @@
 
 #endif /* MYSQL_CLIENT */
 
-#include <base64.h>
+#include <mysys/base64.h>
 #include <my_bitmap.h>
 
 #define log_cs	&my_charset_latin1

=== modified file 'drizzled/sql_binlog.cc'
--- drizzled/sql_binlog.cc	2008-07-20 07:36:57 +0000
+++ drizzled/sql_binlog.cc	2008-07-28 03:31:13 +0000
@@ -15,7 +15,7 @@
 
 #include "mysql_priv.h"
 #include "rpl_rli.h"
-#include "base64.h"
+#include <mysys/base64.h>
 
 /**
   Execute a BINLOG statement

=== modified file 'include/Makefile.am'
--- include/Makefile.am	2008-07-28 03:23:27 +0000
+++ include/Makefile.am	2008-07-28 03:31:13 +0000
@@ -62,7 +62,6 @@
 			thr_lock.h \
 			t_ctype.h \
 			violite.h \
-			base64.h \
 			drizzle_version.h.in \
 			my_handler.h \
 			my_time.h

=== modified file 'mysys/Makefile.am'
--- mysys/Makefile.am	2008-07-26 04:51:46 +0000
+++ mysys/Makefile.am	2008-07-28 03:31:13 +0000
@@ -29,7 +29,11 @@
 # Trick to get things compiled like they are shared, but linked directly in.
 noinst_LTLIBRARIES = libmysyslt.la
 
-noinst_HEADERS =	mysys_priv.h my_static.h my_handler_errors.h
+noinst_HEADERS =	mysys_priv.h \
+			my_static.h \
+			my_handler_errors.h \
+			base64.h
+
 libmysyslt_la_SOURCES = my_init.c my_getwd.c mf_getdate.c \
 			mf_path.c mf_loadpath.c my_file.c \
 			my_open.c my_create.c my_dup.c my_seek.c my_read.c \

=== modified file 'mysys/base64.c'
--- mysys/base64.c	2008-06-25 05:29:13 +0000
+++ mysys/base64.c	2008-07-28 03:31:13 +0000
@@ -16,7 +16,7 @@
 #include <my_global.h>
 #include <m_string.h>  /* strchr() */
 #include <m_ctype.h>  /* my_isspace() */
-#include <base64.h>
+#include <mysys/base64.h>
 
 #ifndef MAIN
 

=== renamed file 'include/base64.h' => 'mysys/base64.h'
